Retrieve exchange rates applicable to the authenticated business.
Use the optional search_term query parameter to filter rates by currency pair (e.g., USD, USD/NGN).
Authorization
apiKeyAuth In: header
Query Parameters
Filter rates by currency pair. Matches partially against the pair field (e.g., USD matches USD/NGN, GBP/USD, etc.).
Response Body
application/json
application/json
curl --request GET \ --url 'https://example.com/api/external/rate?search_term=USD%2FNGN'{ "message": "Rates fetched successfully.", "data": [ { "id": 1, "pair": "USD/NGN", "value": "1550.00", "category": "SINGLE_BUSINESS", "feesInPercents": "0.50", "feesInAmount": "0.00", "type": "FLAT", "swap_enabled": true, "send_enabled": true, "is_active": true, "created_at": "2025-01-15T10:30:00.000000Z", "updated_at": "2025-01-15T10:30:00.000000Z" }, { "id": 2, "pair": "GBP/NGN", "value": "1950.00", "category": "GENERAL", "feesInPercents": "1.00", "feesInAmount": "0.00", "type": "FLAT", "swap_enabled": true, "send_enabled": true, "is_active": true, "created_at": "2025-01-10T08:00:00.000000Z", "updated_at": "2025-01-12T14:20:00.000000Z" }, { "id": 3, "pair": "CAD/NGN", "value": "1100.00", "category": "ALL_BUSINESSES", "feesInPercents": "0.75", "feesInAmount": "0.00", "type": "FLAT", "swap_enabled": true, "send_enabled": false, "is_active": true, "created_at": "2025-01-08T12:00:00.000000Z", "updated_at": "2025-01-08T12:00:00.000000Z" } ]}POSTGet fees breakdown
Calculate fees for a transaction between two currencies. Provide either from_amount or to_amount (not both). Send customer_id to get the fees that apply to that customer. Required scope: `fees:read`.
GETList all currencies
Retrieve all supported currencies. Each currency includes its country. Some currencies, such as XOF, are offered in more than one country, and each country has its own currency ID. Use `country_id` or `country` to tell these currencies apart. Required scope: `currency:read`.